List of groups

Get a paginated list of groups.

Authentication

Authorizationstring
Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

Headers

AcceptenumRequired
Version header.
Allowed values:

Query parameters

limitintegerOptional
A preferred amount of groups in a list for a single response. Defaults to 100, while the maximum is 1000.
fromdatetimeOptional

A starting point for filtering the list of groups. If passed, MUST be a date and time value in ISO-8601 format.

orderingenumOptionalDefaults to datetime_created

Specifies the way groups should be sorted in the returned list. datetime_created for the ascending order (default), -datetime_created for the descending one.

Allowed values:

Response

A list of groups, paginated.
nextstring or nullformat: "uri"
Next page URL.
previousstring or nullformat: "uri"
Previous page URL.
totalinteger>=0
Total number of groups in the project.
per_pageinteger
Number of groups per page.
resultslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
406
Not Acceptable Error
429
Too Many Requests Error